unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FilePanel, ExtCtrls;

type
  TForm1 = class(TForm)
    FilePanel1: TFilePanel;
    FilePanel2: TFilePanel;
    Splitter1: TSplitter;
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FilePanel1FinishFill(Sender: TObject);
    procedure FilePanel2FinishFill(Sender: TObject);
    procedure FilePanel1GetColor(Sender: TObject; FileName: String;
      var Color: TColor);
    procedure FilePanel2GetColor(Sender: TObject; FileName: String;
      var Color: TColor);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
FilePanel1.RefreshPanel;
FilePanel2.RefreshPanel;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
FilePanel1.Width:=Form1.Width div 2 -5;
end;

procedure TForm1.FilePanel1FinishFill(Sender: TObject);
begin
Caption:='Mini commander '+FilePanel1.Directory;
end;

procedure TForm1.FilePanel2FinishFill(Sender: TObject);
begin
Caption:='Mini commander '+FilePanel2.Directory;
end;

procedure TForm1.FilePanel1GetColor(Sender: TObject; FileName: String;
  var Color: TColor);
begin
Color:=clAqua;
end;

procedure TForm1.FilePanel2GetColor(Sender: TObject; FileName: String;
  var Color: TColor);
begin
Color:=clAqua;
end;

end.
